Subject: Fossilized Plants (Jurrasic?)

From: [email-masked] (Steven Grzesik )
Date: 6 Jun 1995 23:01:05 GMT

I've found a large deposit of fossilized plant pieces, extinct turtle
shell, shark teeth etc. in 50' of water. This stuff looks great in my
aquarium & on my bookcase. If you're interested in these items or have
any comments E-Mail me here in Florida.                                
                                              Steve

---

From: [email-masked] (DbbKates)
Date: 7 Jun 1995 15:56:13 -0400

I am a botany student in Illinois, and I have just completed a semester
course in Paleobotany.  I have specialized information about fossil plants
of ages from the late SIlurian to especially the Cretaceous.  Write me if
you have any questions